* {
	box-sizing: border-box;
}
body {
	background: #fff9f9;
	color: #333;
	font-family: 'Noto Sans JP', sans-serif;
}

.container {
	width: 100%;
	margin: 0 auto;
	padding: 20px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.container .container_inner {
	width: 100%;
	max-width: 600px;
	margin: 0 auto;
	padding: 24px 0;
	background-blend-mode: overlay;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	border-radius: 16px;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
	text-align: center;
	min-height: 300px;
}

@media (max-width: 768px) {
	.container {
		height: auto;
		padding: 0;
	}

	.container .container_inner {
		padding: 16px 0;
		border-radius: 0;
	}
}

.container .container_inner h1 {
	font-size: 1.5rem;
	font-weight: bold;
	margin-bottom: 2rem;
	position: relative;
}

.container .container_inner h1::before {
	content: '';
	position: absolute;
	bottom: -1rem;
	left: 50%;
	transform: translateX(-50%);
	width: 8px;
	height: 8px;
	border-radius: 50%;
	background: #e3aaaa;
}

.container .container_inner .line-flow {
	width: 100%;
}

.container .container_inner .line-flow img {
	width: 100%;
}

.container .container_inner .btn {
	width: 100%;
	max-width: 300px;
	margin: 0 auto; 
}

.container .container_inner .btn a {
	box-sizing: border-box;
	display: block;
	width: 100%;
	margin: 0 auto;
	padding: 10px 20px;
	background: #00BA00;
	color: #fff;
	text-decoration: none;
	font-weight: bold;
	border-radius: 999px;
	box-shadow: 0 4px 0 #007A00;
	position: relative;
}

.container .container_inner .btn a::after {
	font-family: 'Font Awesome 6 Free';
	content: '\f0da';
	position: absolute;
	top: 50%;
	right: 1em;
	transform: translateY(-50%);
	font-size: 1em;
	color: #fff;
}

.logo {
	width: 100%;
	max-width: 120px;
	margin: 0 auto 1rem;
}

.btn_wrap {
	display: flex;
	gap: 8px;
	width: 96%;
	margin: 0 auto;
}

.btn_wrap .btn_left ,
.btn_wrap .btn_right {
	width: 50%;
}


.btn_wrap .btn_left p,
.btn_wrap .btn_right p {
	font-weight: bold;
}

.btn_wrap .btn_right .btn a {
	background: #DA8A89;
	box-shadow: 0 4px 0 #b46464;
}

.btn_title {
	font-size: 1.2rem;
	font-weight: bold;
	margin: .5rem auto .5rem;
}

@media (max-width: 768px) {
	.container .container_inner .btn a {
		font-size: 3.4vw;
	}
	.btn_wrap .btn_left p,
	.btn_wrap .btn_right p {
		font-size: 3.2vw;
	}
}


.instagram {
	width: 100%;
	margin: 0 auto;
}

.instagram a {
	width: 30%;
	display: inline-block;
}

.instagram p {
	font-size: .9rem;
	line-height: 1.2;
	font-weight: bold;
	margin: 2rem auto .25em;
}

.instagram img {
	filter: drop-shadow(0 4px 0 #6b3075);
}

@media (max-width: 768px) {
	.instagram p {
		font-size: 3vw;
	}
}


.url_copy_btn {
	width: 100%;
	margin: 0 auto;
}

.url_copy_btn button {
	font-size: .6rem;
	width: 80%;
	margin: 1rem auto 0;
	padding: 5px 10px;
	background: #e3e3e3;
	color: #000;
	text-decoration: none;
	font-weight: bold;
	border-radius: 999px;
	box-shadow: 0 4px 0 #b3b3b3;
	position: relative;
}